%define module	WWW-Mechanize
%define name	perl-%{module}
%define version 1.34
%define release %mkrel 1

Name:		    %{name}
Version:	    %{version}
Release:	    %{release}
Summary:	    Handy web browsing in a Perl object
License:	    GPL or Artistic
Group:		    Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/WWW/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl(CGI)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	perl(IO::Socket::SSL)
Buildrequires:	perl(URI)
BuildRequires:	perl(LWP::UserAgent)
BuildRequires:	perl(Test::Exception)
Buildrequires:	perl(Test::Memory::Cycle)
Buildrequires:	perl(Test::Pod)
Buildrequires:	perl(Test::Warn)
Buildrequires:	perl(Test::LongString)
Buildarch:	    noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
WWW::Mechanize, or Mech for short, helps you automate interaction with a
website. It supports performing a sequence of page fetches including following
links and submitting forms. Each fetched page is parsed and its links and forms
are extracted. A link or a form can be selected, form fields can be filled and
the next page can be fetched. Mech also stores a history of the URLs you've
visited, which can be queried and revisited.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes etc/www-mechanize-logo.png
%{perl_vendorlib}/WWW
%{_mandir}/*/*
%{_bindir}/*




%changelog
* Tue Dec 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.34-1mdv2008.1
+ Revision: 117549
- update to new version 1.34

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 1.32-2mdv2008.1
+ Revision: 109344
- rebuild

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.32-1mdv2008.1
+ Revision: 104441
- update to new version 1.32

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-1mdv2008.0
+ Revision: 47740
- update to new version 1.30


* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdv2007.1
+ Revision: 133690
- new version

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2007.0
- New version 1.20

* Mon Oct 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.16-1mdk
- 1.16

* Wed Sep 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-1mdk
- New release 1.14
- buildrequires

* Wed Jun 08 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-2mdk 
- better url
- spec cleanup
- make test in %%check
- don't ship useless empty directories

* Fri Feb 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.12-1mdk
- 1.12

* Wed Feb 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.10-1mdk
- 1.10
- Reenable make test and BuildRequires

* Sun Jan 23 2005 Stefan van der Eijk <stefan@mandrake.org> 1.08-1mdk
- 1.08
- disable make test, as it seems to be broken on 1.06 & 1.08
- commented out the BuildRequires for the test

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.06-2mdk
- fix buildrequires in a backward compatible way

* Mon Dec 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.06-1mdk
- new version
- add logo in doc

* Thu Nov 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.04-1mdk 
- new version
- rpmbuildupdate aware

* Thu Apr 22 2004 Olivier Blin <blino@mandrake.org> 1.02-2mdk
- quiet setup
- fix Summary

* Thu Apr 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.02-1mdk
- new version

* Tue Mar 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.74-1mdk
- first mdk release

